package com.agenda.model;
// Generated 12-12-2019 01:41:24 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Estados generated by hbm2java
 */
@Entity
@Table(name = "estados", catalog = "agenda")
@SuppressWarnings("serial")
public class Estados implements java.io.Serializable {

	private int id;
	private String estado;
	private List<Actividades> actividadeses = new ArrayList<Actividades>();

	public Estados() {
	}

	public Estados(int id, String estado) {
		this.id = id;
		this.estado = estado;
	}

	public Estados(int id, String estado, List<Actividades> actividadeses) {
		this.id = id;
		this.estado = estado;
		this.actividadeses = actividadeses;
	}

	@Id

	@Column(name = "id", unique = true, nullable = false)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Column(name = "estado", nullable = false, length = 20)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "estados")
	public List<Actividades> getActividadeses() {
		return this.actividadeses;
	}

	public void setActividadeses(List<Actividades> actividadeses) {
		this.actividadeses = actividadeses;
	}

}
